package com.qryord.project.master.modelKind.service;

import com.qryord.project.master.modelKind.domain.ModelKind;

import java.util.List;

/**
 * 商品型号分类Service接口
 * 
 * @author ruoyi
 * @date 2022-09-30
 */
public interface IModelKindService
{
    /**
     * 查询商品型号分类
     * 
     * @param id 商品型号分类主键
     * @return 商品型号分类
     */
    public ModelKind selectModelKindById(Long id);

    /**
     * 查询商品型号分类列表
     * 
     * @param mModelKind 商品型号分类
     * @return 商品型号分类集合
     */
    public List<ModelKind> selectModelKindList(ModelKind mModelKind);

    /**
     * 新增商品型号分类
     * 
     * @param mModelKind 商品型号分类
     * @return 结果
     */
    public int insertModelKind(ModelKind mModelKind);

    /**
     * 修改商品型号分类
     * 
     * @param mModelKind 商品型号分类
     * @return 结果
     */
    public int updateModelKind(ModelKind mModelKind);

    /**
     * 批量删除商品型号分类
     * 
     * @param ids 需要删除的商品型号分类主键集合
     * @return 结果
     */
    public int deleteModelKindByIds(String ids);

    /**
     * 删除商品型号分类信息
     * 
     * @param id 商品型号分类主键
     * @return 结果
     */
    public int deleteModelKindById(Long id);
}
